
From: Chris Mason <mason@suse.com>

block_write_full_page() might see and lock clean metadata buffers, which leads
to journal-1777 messages.  Change the message to ignore bh locked.


---

 25-akpm/fs/reiserfs/journal.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiserfs/journal.c~reiserfs-dirty-warning fs/reiserfs/journal.c
--- 25/fs/reiserfs/journal.c~reiserfs-dirty-warning	Wed Mar 24 15:14:55 2004
+++ 25-akpm/fs/reiserfs/journal.c	Wed Mar 24 15:14:55 2004
@@ -2698,7 +2698,7 @@ int journal_mark_dirty(struct reiserfs_t
   ** a dirty or journal_dirty or locked buffer to be logged, as some changes
   ** could get to disk too early.  NOT GOOD.
   */
-  if (!prepared || buffer_locked(bh) || buffer_dirty(bh)) {
+  if (!prepared || buffer_dirty(bh)) {
     printk("journal-1777: buffer %llu bad state %cPREPARED %cLOCKED %cDIRTY %cJDIRTY_WAIT\n", (unsigned long long)bh->b_blocknr, prepared ? ' ' : '!', 
                             buffer_locked(bh) ? ' ' : '!',
 			    buffer_dirty(bh) ? ' ' : '!',

_
